Whitelist
Service to communicate with whitelists.
Endpoints
GET/whitelist/v1/locations/{location_id}/whitelists
Get location whitelists
GET
/whitelist/v1/whitelists
Get whitelists
GET
/whitelist/v1/whitelists/{whitelist_id}
Get whitelist
GET
/whitelist/v1/whitelists/{whitelist_id}/entities
Get whitelisted entities
POST
/whitelist/v1/whitelists/{whitelist_id}/entities
Modify whitelist entities
GET
/whitelist/v1/whitelists/{whitelist_id}/targets
Get whitelisted targets
POST
/whitelist/v1/whitelists/{whitelist_id}/targets
Modify whitelist targets
/whitelist/v1/locations/{location_id}/whitelists
Get location whitelists
Returns whitelists tied to a specific location, filtered by the caller’s access.
Path Parameters
| Name | Type | Description |
|---|---|---|
location_id |
string | Location id required |
Responses
200 response
data
[object]
name
string
description
string
id
string
uri
string
uri
string
{
"data": [
{
"name": "string",
"description": "string",
"id": "00000000-0000-0000-0000-000000000000",
"uri": "https://example.com/resource"
}
],
"uri": "https://example.com/resource"
}
500 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
Example Request
curl \
"https://services.bikeep.com/whitelist/v1/locations/{LOCATION_ID}/whitelists" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
/whitelist/v1/whitelists
Get whitelists
Responses
200 response
data
[object]
name
string
description
string
id
string
uri
string
uri
string
{
"data": [
{
"name": "string",
"description": "string",
"id": "00000000-0000-0000-0000-000000000000",
"uri": "https://example.com/resource"
}
],
"uri": "https://example.com/resource"
}
500 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
Example Request
curl \
"https://services.bikeep.com/whitelist/v1/whitelists" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
/whitelist/v1/whitelists/{whitelist_id}
Get whitelist
Returns a specific whitelist.
Path Parameters
| Name | Type | Description |
|---|---|---|
whitelist_id |
string | Whitelist id required |
Responses
200 response
name
string
description
string
id
string
uri
string
{
"name": "string",
"description": "string",
"id": "00000000-0000-0000-0000-000000000000",
"uri": "https://example.com/resource"
}
400 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
500 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
Example Request
curl \
"https://services.bikeep.com/whitelist/v1/whitelists/{WHITELIST_ID}" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
/whitelist/v1/whitelists/{whitelist_id}/entities
Get whitelisted entities
Path Parameters
| Name | Type | Description |
|---|---|---|
whitelist_id |
string | Target whitelist ID required |
Responses
200 response
data
[object]
expires_at
string
RFC3339, empty if does not expire
is_master_key
boolean
The access key is designated as master key in local lists.
created_at
string
RFC3339
id_type
string
rfid
comment
string
id
string
status
string
INACTIVEACTIVEEXPIRED
uri
string
{
"data": [
{
"expires_at": "2025-01-15T12:00:00Z",
"is_master_key": true,
"created_at": "2025-01-15T12:00:00Z",
"id_type": "rfid",
"comment": "string",
"id": "00000000-0000-0000-0000-000000000000",
"status": "INACTIVE"
}
],
"uri": "https://example.com/resource"
}
400 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
500 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
504 response
Example Request
curl \
"https://services.bikeep.com/whitelist/v1/whitelists/{WHITELIST_ID}/entities" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
/whitelist/v1/whitelists/{whitelist_id}/entities
Modify whitelist entities
Path Parameters
| Name | Type | Description |
|---|---|---|
whitelist_id |
string | Target whitelist ID required |
Request Body required
entities
[object]
required
expires_at
string
RFC3339, empty if does not expire
is_master_key
boolean
The access key is designated as master key in local lists.
id_type
string
required
rfid
comment
string
id
string
required
status
string
INACTIVEACTIVE
operation
string
required
ADDREMOVE
{
"entities": [
{
"expires_at": "2025-01-15T12:00:00Z",
"is_master_key": true,
"id_type": "rfid",
"comment": "string",
"id": "00000000-0000-0000-0000-000000000000",
"status": "INACTIVE"
}
],
"operation": "ADD"
}
Responses
204 response
400 response
status_code
number
correlation_id
string
error_results
[object]
error_message
string
error_code
string
entity
object
Modify entity model
expires_at
string
RFC3339, empty if does not expire
is_master_key
boolean
The access key is designated as master key in local lists.
id_type
string
required
rfid
comment
string
id
string
required
status
string
INACTIVEACTIVE
{
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_results": [
{
"error_message": "string",
"error_code": "string",
"entity": {
"expires_at": "2025-01-15T12:00:00Z",
"is_master_key": true,
"id_type": "rfid",
"comment": "string",
"id": "00000000-0000-0000-0000-000000000000",
"status": "INACTIVE"
}
}
]
}
500 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
Example Request
curl \
-X POST \
"https://services.bikeep.com/whitelist/v1/whitelists/{WHITELIST_ID}/entities" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"entities": [
{
"expires_at": "2025-01-15T12:00:00Z",
"is_master_key": true,
"id_type": "rfid",
"comment": "string",
"id": "00000000-0000-0000-0000-000000000000",
"status": "INACTIVE"
}
],
"operation": "ADD"
}'
/whitelist/v1/whitelists/{whitelist_id}/targets
Get whitelisted targets
Path Parameters
| Name | Type | Description |
|---|---|---|
whitelist_id |
string | Target whitelist ID required |
Query Parameters
| Name | Type | Required | Description |
|---|---|---|---|
type |
string | No | Filter targets by type |
Responses
200 response
data
[object]
reference
object
id
string
uri
string
keys_only
boolean
Sync device local whitelist keys, do not show to app users
id_type
string
devicelocation
id
string
uri
string
{
"data": [
{
"reference": {
"id": "00000000-0000-0000-0000-000000000000",
"uri": "https://example.com/resource"
},
"keys_only": true,
"id_type": "device",
"id": "00000000-0000-0000-0000-000000000000"
}
],
"uri": "https://example.com/resource"
}
400 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
500 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
504 response
Example Request
curl \
"https://services.bikeep.com/whitelist/v1/whitelists/{WHITELIST_ID}/targets" \
-H "Authorization: Bearer {ACCESS_TOKEN}"
/whitelist/v1/whitelists/{whitelist_id}/targets
Modify whitelist targets
Path Parameters
| Name | Type | Description |
|---|---|---|
whitelist_id |
string | Target whitelist ID required |
Request Body required
operation
string
required
ADDREMOVE
targets
[object]
required
keys_only
boolean
Sync device local whitelist keys, do not show to app users
id
string
required
Target device/location ID
type
string
required
devicelocation
uri
string
required
Target device/location URI
{
"operation": "ADD",
"targets": [
{
"keys_only": true,
"id": "00000000-0000-0000-0000-000000000000",
"type": "device",
"uri": "https://example.com/resource"
}
]
}
Responses
204 response
400 response
status_code
number
correlation_id
string
error_results
[object]
error_message
string
error_code
string
target
object
Modify target model
keys_only
boolean
Sync device local whitelist keys, do not show to app users
id
string
required
Target device/location ID
type
string
required
devicelocation
uri
string
required
Target device/location URI
{
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_results": [
{
"error_message": "string",
"error_code": "string",
"target": {
"keys_only": true,
"id": "00000000-0000-0000-0000-000000000000",
"type": "device",
"uri": "https://example.com/resource"
}
}
]
}
500 response
error_message
string
Human-readable error message.
status_code
integer
HTTP status code.
correlation_id
string
Request correlation ID for tracing.
error_code
string
Machine-readable error code, e.g. ERRORS.NOT_FOUND
{
"error_message": "string",
"status_code": 0,
"correlation_id": "00000000-0000-0000-0000-000000000000",
"error_code": "string"
}
Example Request
curl \
-X POST \
"https://services.bikeep.com/whitelist/v1/whitelists/{WHITELIST_ID}/targets" \
-H "Authorization: Bearer {ACCESS_TOKEN}" \
-H "Content-Type: application/json" \
-d '{
"operation": "ADD",
"targets": [
{
"keys_only": true,
"id": "00000000-0000-0000-0000-000000000000",
"type": "device",
"uri": "https://example.com/resource"
}
]
}'